org.apache.http.client.entity

## Interface InputStreamFactory

All Known Implementing Classes:
  DeflateInputStreamFactory, GZIPInputStreamFactory

    public interface InputStreamFactory

Factory for decorated `InputStream`s.

Since:
  4.4

### Method Summary

Methods
`InputStream` `create(InputStream inStream)`

### Method Detail

#### create

    InputStream create(InputStream inStream)
                       throws IOException

Throws:
  `IOException`